# psclip

Initialize or terminate polygonal clip paths

## Synopsis

gmt psclip [ table ] -J parameters -C[n] -R west/east/south/north[/zmin/zmax][+r][+u unit] [ -A[m|p|x|y|r|t] ] [ -B[p|s]parameters ] [ -K ] [ -N ] [ -O ] [ -P ] [ -T ] [ -U[stamp] ] [ -V[level] ] [ -W[pen] ] [ -X[a|c|f|r][xshift] ] [ -Y[a|c|f|r][yshift] ] [ -bi binary ] [ -di nodata[+c col] ] [ -e regexp ] [ -f flags ] [ -g gaps ] [ -h headers ] [ -i flags ] [ -p flags ] [ -qi flags ] [ -t transp ] [ -:[i|o] ] [ --PAR=value ]

## Description

Reads (x, y) file(s) [or standard input] and draws polygons that are activated as clipping paths. Several files may be read to create complex paths consisting of several non-connecting segments. Only marks that are subsequently drawn inside the clipping path will be shown. To determine what is inside or outside the clipping path, we use the even-odd rule. When a ray drawn from any point, regardless of direction, crosses the clipping path segments an odd number of times, the point is inside the clipping path. If the number is even, the point is outside. The -N option, reverses the sense of what is the inside and outside of the paths by plotting a clipping path along the map boundary. After subsequent plotting, which will be clipped against these paths, the clipping may be deactivated by running the module a second time with the -C option only.

## Required Arguments

table

  One or more ASCII (or binary, see -bi[ncols][type]) data table file(s) holding a number of data columns. If no tables are given then we read from standard input.

-C[n]

  Mark end of existing clip path(s). No input file will be processed. No projection information is needed unless -B has been selected as well. With no arguments we terminate all active clipping paths. Experts may restrict the termination to just n of the active clipping path by passing that as the argument.

-J parameters

  Specify the projection. (See full description) (See cookbook summary) (See projections table).

-R xmin/xmax/ymin/ymax[+r][+u unit]

  Specify the region of interest. Note: If using modern mode and -R is not provided, the region will be set based on previous plotting commands. If this is the first plotting command in the modern mode levels and -R is not provided, the region will be automatically determined based on the data in table (equivalent to using -Ra). (See full description) (See cookbook information).

> For perspective view -p, optionally append /zmin/zmax. (more …)

## Optional Arguments

-A[m|p|x|y|r|t]

  By default, geographic line segments are connected as great circle arcs. To connect them as straight lines, use the -A flag. Alternatively, add m to connect the line by first following a meridian, then a parallel. Or append p to start following a parallel, then a meridian. (This can be practical to connect lines along parallels, for example). For Cartesian data, points are simply connected, unless you append x or y to construct stair-case paths whose first move is along x or y, respectively. For polar projection, append r or t to draw stair-case curves that whose first move is along r or theta, respectively.

-B[p|s]parameters

  Set map boundary frame and axes attributes. (See full description) (See cookbook information).

-N

  Invert the sense of what is inside and outside. For example, when using a single path, this means that only points outside that path will be shown. Cannot be used together with -B.

-T

  Rather than read any input files, simply turn on clipping for the current map region. Basically, -T is a convenient way to run the module with the arguments -N /dev/null (or, under Windows, -N NUL). Cannot be used together with -B.

-U[label|+c][+j justify][+o dx[/dy]][+t text]

  Draw GMT time stamp logo on plot. (See full description) (See cookbook information).

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-W pen

  Draw outline of clip path using given pen attributes before clipping is initiated [Default is no outline].

-X[a|c|f|r][xshift]

  Shift plot origin. (See full description) (See cookbook information).

-Y[a|c|f|r][yshift]

  Shift plot origin. (See full description) (See cookbook information).

-bi record[+b|l] (more …)

  Select native binary format for primary table input. [Default is 2 input columns].

-di nodata[+c col] (more …)

  Replace input columns that equal nodata with NaN.

-e[~]“pattern” | -e[~]/regexp/[i] (more …)

  Only accept data records that match the given pattern.

-f[i|o]colinfo (more …)

  Specify data types of input and/or output columns.

-g x|y|z|d|X|Y|D gap[u][+a][+c col][+n|p] (more …)

  Determine data gaps and line breaks.

-h[i|o][n][+c][+d][+m segheader][+r remark][+t title] (more …)

  Skip or produce header record(s).

-i cols[+l][+d divisor][+s scale|d|k][+o offset][,…][,t[word]] (more …)

  Select input columns and transformations (0 is first column, t is trailing text, append word to read one word only).

-p[x|y|z]azim[/elev[/zlevel]][+w lon0/lat0[/z0]][+v x0/y0] (more …)

  Select perspective view.

-qi[~]rows|limits[+c col][+a|t|s] (more …)

  Select input rows or data limit(s) [default is all rows].

-t transp[/transp2] (more …)

  Set transparency level(s) in percent.

-:[i|o] (more …)

  Swap 1st and 2nd column on input and/or output.

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Classic Mode Arguments

These options are used to manipulate the building of layered GMT PostScript plots in classic mode. They are not available when using GMT modern mode.

-K (more …)

  Do not finalize the PostScript plot.

-O (more …)

  Append to existing PostScript plot.

-P (more …)

  Select “Portrait” plot orientation.

## Examples

To see the effect of a simple clip path which result in some symbols being partly visible or missing altogether, try

>     gmt psclip -R0/6/0/6 -Jx2.5c -W1p,blue -P -K << EOF > clip.ps
>     0 0
>     5 1
>     5 5
>     EOF
>     gmt psxy @tut_data.txt -Gred -Sc2c -R -J -O -K >> clip.ps
>     gmt psclip -C -O -R -J -Baf >> clip.ps

where we activate and deactivate the clip path. Note we also draw the outline of the clip path to make it clear what is being clipped.

## See Also

gmt, grdmask, psbasemap, psmask